Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1058503 - [abrt] mate-document-viewer: active_edges(): atril killed by SIGSEGV
[abrt] mate-document-viewer: active_edges(): atril killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ad20f25368c0c6dddcb0fd23896...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-27 17:42 EST by Paul Gresham
Modified: 2015-06-29 10:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 10:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (206.31 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: core_backtrace (18.04 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: dso_list (8.37 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: environ (1.50 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: maps (50.12 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: open_fds (1.14 KB, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
File: var_log_messages (347 bytes, text/plain)
2014-01-27 17:43 EST, Paul Gresham
no flags Details
PDF file causing crash - Karcher-K5-540.PDF (5.55 MB, application/pdf)
2014-01-28 15:52 EST, Paul Gresham
no flags Details

  None (edit)
Description Paul Gresham 2014-01-27 17:42:55 EST
Description of problem:
I downloaded a PDF user manual for a power washer and the software crashed upon opening it.

Version-Release number of selected component:
mate-document-viewer-1.6.1-7.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        atril /run/user/1000/midori/BTA-5246119-000-00.pdf
crash_function: active_edges
executable:     /usr/bin/atril
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 active_edges at cairo-polygon-intersect.c:1235
 #1 intersection_sweep at cairo-polygon-intersect.c:1271
 #2 _cairo_polygon_intersect at cairo-polygon-intersect.c:1466
 #3 clip_and_composite_polygon at cairo-spans-compositor.c:946
 #4 _cairo_spans_compositor_stroke at cairo-spans-compositor.c:1083
 #5 _cairo_compositor_stroke at cairo-compositor.c:157
 #7 _cairo_image_surface_stroke at cairo-image-surface.c:964
 #8 _cairo_surface_stroke at cairo-surface.c:2260
 #9 _cairo_gstate_stroke at cairo-gstate.c:1194
 #11 _cairo_default_context_stroke at cairo-default-context.c:1010
Comment 1 Paul Gresham 2014-01-27 17:43:01 EST
Created attachment 856273 [details]
File: backtrace
Comment 2 Paul Gresham 2014-01-27 17:43:04 EST
Created attachment 856274 [details]
File: cgroup
Comment 3 Paul Gresham 2014-01-27 17:43:06 EST
Created attachment 856275 [details]
File: core_backtrace
Comment 4 Paul Gresham 2014-01-27 17:43:08 EST
Created attachment 856276 [details]
File: dso_list
Comment 5 Paul Gresham 2014-01-27 17:43:09 EST
Created attachment 856277 [details]
File: environ
Comment 6 Paul Gresham 2014-01-27 17:43:11 EST
Created attachment 856278 [details]
File: exploitable
Comment 7 Paul Gresham 2014-01-27 17:43:13 EST
Created attachment 856279 [details]
File: limits
Comment 8 Paul Gresham 2014-01-27 17:43:14 EST
Created attachment 856280 [details]
File: maps
Comment 9 Paul Gresham 2014-01-27 17:43:16 EST
Created attachment 856281 [details]
File: open_fds
Comment 10 Paul Gresham 2014-01-27 17:43:17 EST
Created attachment 856282 [details]
File: proc_pid_status
Comment 11 Paul Gresham 2014-01-27 17:43:19 EST
Created attachment 856283 [details]
File: var_log_messages
Comment 12 Wolfgang Ulbrich 2014-01-28 11:40:23 EST
Can you attach the culpit file?
How did you open it?
From inside caja?
Comment 13 Paul Gresham 2014-01-28 15:52:54 EST
Created attachment 856826 [details]
PDF file causing crash - Karcher-K5-540.PDF
Comment 14 Paul Gresham 2014-01-28 15:55:10 EST
I have attached file.  I launched it from within the Midori browser.  I also got the same results when just opening the file from within caja.

(In reply to Wolfgang Ulbrich from comment #12)
> Can you attach the culpit file?
> How did you open it?
> From inside caja?
Comment 15 Wolfgang Ulbrich 2014-02-01 11:15:36 EST
OK, i can confirm the crash with atril, but it crashed also evince.
With acrobat reader himself i can open the document on fedora without any problem.
So i quess it's a prob with poppler libary, both atril and evince use poppler to display pdf's.
Comment 16 Fedora End Of Life 2015-05-29 06:42:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 10:48:22 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.